### Method

# WebKit2WebExtension DOMDocument set_cookie

#### Declaration [src]

    void
    webkit_dom_document_set_cookie (
      WebKitDOMDocument* self,
      const gchar* value,
      GError** error
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

Sets property | `WebKit2WebExtension.DOMDocument:cookie`

#### Parameters

`value` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.